function Lab3FrequencyResponse(filename)
% This program will create a frequency response from an excitation.
if nargin==0, %no file specified
    [Data,FN] = Lab0GetData(0);
else
    [Data,FN] = Lab0GetData(filename);
end

%Create the plot
XData = Data.E{1};     %x
YData = Data.E{2};     %y
ZData = Data.E{3};     %z
TData = Data.T;
Position=Data.C;

%Changes by Ahmed begin from here
%Calculating FRF
Fs = 1/(TData(2)-TData(1));   % Sampling frequency (Estimated)
L = length(TData);            % Length of signal
NFFT = 2^nextpow2(L);         % Next power of 2 from length of L
[FRF_Enc1,w]=tfestimate(XData,Position,[],[],NFFT,Fs);
[FRF_Enc2,w]=tfestimate(YData,Position,[],[],NFFT,Fs);
[FRF_Enc3,w]=tfestimate(ZData,Position,[],[],NFFT,Fs);

range=1:length(w);

%Plotting
subplot(3,1,1)
semilogx(w(range),abs(FRF_Enc1(range)));
set(gca,'xscale','log')
xlabel('Driving Frequency [Hz]');
ylabel('Enc1/C.Pos');
subplot(3,1,2)
semilogx(w(range),abs(FRF_Enc2(range)));
set(gca,'xscale','log')
xlabel('Driving Frequency [Hz]');
ylabel('Enc2/C.Pos');
subplot(3,1,3)
semilogx(w(range),abs(FRF_Enc3(range)));
set(gca,'xscale','log')
xlabel('Driving Frequency [Hz]');
ylabel('Enc3/C.Pos');
fprintf('This program has finished executing\n\n')
end




